Bug 1000485 - All servlet and jsp API dependencies must be <scope>provided</scope> (not compile or runtime)
All servlet and jsp API dependencies must be <scope>provided</scope> (not com...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.0.0
Assigned To: Roger Martínez
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 10:01 EDT by Geoffrey De Smet
Modified: 2014-08-06 16:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-08-23 10:01:59 EDT
1) For every dependency on 
        <dependency>
          <groupId>org.jboss.spec.javax.servlet</groupId>
          <artifactId>jboss-servlet-api_3.0_spec</artifactId>
        </dependency>
change it into
        <dependency>
          <groupId>org.jboss.spec.javax.servlet</groupId>
          <artifactId>jboss-servlet-api_3.0_spec</artifactId>
          <scope>provided</scope>
        </dependency>

Note: not in the parent pom: the parent pom never declares <scope>

2) For every dependency on 
        <dependency>
          <groupId>org.jboss.spec.javax.servlet.jsp</groupId>
          <artifactId>jboss-jsp-api_2.2_spec</artifactId>
        </dependency>
change it into
        <dependency>
          <groupId>org.jboss.spec.javax.servlet.jsp</groupId>
          <artifactId>jboss-jsp-api_2.2_spec</artifactId>
          <scope>provided</scope>
        </dependency>

3) In dashboard builder (and potentially other projects), there are several modules with java imports of servlet/jsp stuff but don't have a direct dependency to it (instead they rely on it through a transitive dependencies - which is against maven conventions).
Add a direct provided dependency on servlet and/or jsp for those to avoid compile errors.

4) The generic wars will no longer contain the servlet/jsp API's (that's a good thing). So it will be no longer needed to these exclude them in assembly-*.xml's.
Remove this from those assembly xml files:
                    <exclude>WEB-INF/lib/servlet-api-*.jar</exclude>
                    <exclude>WEB-INF/lib/jboss-servlet-api_*.jar</exclude>
                    <exclude>WEB-INF/lib/jsp-api-*.jar</exclude>
                    <exclude>WEB-INF/lib/jboss-jsp-api_*.jar</exclude>
Comment 2 Geoffrey De Smet 2013-08-23 10:14:28 EDT
Note: as part of https://bugzilla.redhat.com/show_bug.cgi?id=999072
all javax.servlet:servlet-api dependencies were replaced with org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec dependencies.
Comment 4 Ivo Bek 2013-10-25 10:57:03 EDT
Verified in BPMS 6.0.0.ER4 ... the dependencies aren't in WEB-INF/lib any more.

Note You need to log in before you can comment on or make changes to this bug.